Find Jobs
Hire Freelancers

Looking for experinced apache developer to modify/patch my old apache 1.3.41

$400-600 USD

Kapalı
İlan edilme: 6 ay önce

$400-600 USD

Teslimde ödenir
Patch mod_ssl-2.8.31-1.3.41 (or apache) to: 1) disable Disable Export Cipher Suites 2) Deploy (Ephemeral) Elliptic-Curve Diffie-Hellman (ECDHE) 3) Use a Strong, Diffie Hellman Group Guide to Deploying Diffie-Hellman for TLS: [login to view URL] I have a working Apache 1.3.41 + mod_ssl-2.8.31-1.3.41 + openssl-1.0.1k + php 4.4.9. Openssl was installed like this: [login to view URL] Apache 1.3.41 was installed like this: [login to view URL] PHP 4.4.9 was installed like this: [login to view URL] Downloads: [login to view URL] [login to view URL] [login to view URL] [login to view URL] [login to view URL] (needed to enable tls 1.2 in PHP 4.4.9) Because the website I am running is relatively complex, I determined that patching my existing apache will be the best option for me, because upgrading apache, mysql, php will definitely break many things. The patch/changes that you will produce should not break my existing apache + mod_ssl + php installation. Th project is to provide me with the files that I need to change before recompiling apache. You will not need server access because I will apply the changes.
Proje No: 37166994

Proje hakkında

10 teklif
Uzaktan proje
Son aktiviteden bu yana geçen zaman 4 ay önce

Biraz para mı kazanmak istiyorsunuz?

Freelancer'da teklif vermenin faydaları

Bütçenizi ve zaman çerçevenizi belirleyin
Çalışmanız için ödeme alın
Teklifinizin ana hatlarını belirleyin
Kaydolmak ve işlere teklif vermek ücretsizdir
Bu iş için 10 freelancer ortalamada $570 USD teklif veriyor
Kullanıcı Avatarı
I understand that you are looking for an experienced Apache developer to modify/patch your old Apache 1.3.41 so that it can be used with mod_ssl-2.8.31-1.3.41 without disabling export cipher suites and so that it can be deployed (ephemeral) with elliptic-curve Diffie-Hellman (ECDHE) and a strong diffie-hellman group. I have the necessary expertise to tackle this project - from project management to data analysis and marketing, I have the skills necessary to succeed in this project. I would be more than happy to help you with your project. Please feel free to reach out if you have any questions or would like more information about me or my skillset.
$500 USD 7 gün içinde
4,5 (6 değerlendirme)
4,7
4,7
Kullanıcı Avatarı
Hello, I've reviewed your project description and understand that you're currently using an outdated website system based on PHP 4.4.9, while the latest available version is PHP 8. Additionally, I noticed you're on Apache 1.3.41, which might not be fully compatible with current requirements. Given the intricate nature of your platform, I empathize with your concerns about potential issues such as breakages or malfunctions during upgrades. I strongly recommend considering an upgrade in the near future. With the expertise of a trusted developer, it's feasible to set up a test domain with the same code and database access. This would allow for a smooth transition, comprehensive testing, and the seamless introduction of new features. For the immediate concern, I can effectively patch mod_ssl-2.8.31-1.3.41 or even Apache itself. This would enable: The disabling of "Export Cipher Suites". The deployment of (Ephemeral) Elliptic-Curve Diffie-Hellman (ECDHE). The integration of a robust Diffie Hellman Group. I'm eager to collaborate with you on this project to ensure its success. Warm Regards, Daniel Catalani.
$700 USD 10 gün içinde
5,0 (2 değerlendirme)
2,8
2,8
Kullanıcı Avatarı
Hi there, I can help you patch mod_ssl-2.8.31-1.3.41 (or Apache) to enhance security by disabling Export Cipher Suites, deploying (Ephemeral) Elliptic-Curve Diffie-Hellman (ECDHE), and implementing a strong Diffie-Hellman Group. I will ensure these changes won't disrupt your existing Apache + mod_ssl + PHP setup. You won't need to provide server access; I'll deliver the necessary files for your recompilation process. Regards, Abdul Basit Kreative Solutions
$500 USD 7 gün içinde
0,0 (0 değerlendirme)
0,0
0,0
Kullanıcı Avatarı
I understand that you are looking for an experienced Apache developer to modify/patch your old Apache 1.3.41 so that it can disable Disable Export Cipher Suites, Deploy (Ephemeral) Elliptic-Curve Diffie-Hellman (ECDHE), Use a Strong, Diffie Hellman Group. I am confident that my skillset, experience and expertise make me the perfect fit for this project. I have worked with Apache 1.3.41 + mod_ssl-2.8.31-1.3.41 + openssl-1.0.1k + php 4.4.9 before and I am aware of the necessary steps needed to enable TLS 1.2 support in this environment. My past projects have demonstrated my ability to successfully complete complex web development projects while maintaining optimal performance and stability. This makes me an ideal candidate for this project as it requires modification of existing apache before recompilation so that it does not break other aspects of your website system.. I look forward to hearing more about this project as well as discussing how my skillset would be best utilized in this project..
$600 USD 2 gün içinde
0,0 (0 değerlendirme)
0,0
0,0
Kullanıcı Avatarı
Hi, I am a professional web developer and I can do this project Looking for experinced apache developer to modify/patch my old apache 1.3.41, I have 5 years of experience in web development. I have done many projects like this. I can do this job for you. I can start right now. Please contact me. Thanks
$400 USD 2 gün içinde
0,0 (0 değerlendirme)
0,0
0,0
Kullanıcı Avatarı
I'm excited to hear that you are looking for an experienced Apache developer to modify/patch your old Apache 1.3.41! As a Full Stack Developer, I understand the importance of keeping your existing apache + mod_ssl + php installation up and running while upgrading would definitely break many things. Because of this, I believe that patching will be the best option for you. I have extensive experience in Linux, from installing openssl through to enabling tls 1.2 in PHP 4.4.9. This will ensure that any changes made don't break your existing apache + mod_ssl + php installation. I would be delighted if you could consider me for this project. Please feel free to contact me if you have any questions or would like to discuss further how I can help you achieve your goals for this project.
$500 USD 7 gün içinde
0,0 (0 değerlendirme)
0,0
0,0

Müşteri hakkında

   UNITED STATES bayrağı
Irvine, United States
5,0
1
Ödeme yöntemi onaylandı
Şub 23, 2005 tarihinden bu yana üye

Müşteri Doğrulaması

Teşekkürler! Ücretsiz kredinizi talep etmeniz için size bir bağlantı gönderdik.
E-postanız gönderilirken bir şeyler yanlış gitti. Lütfen tekrar deneyin.
Kayıtlı Kullanıcı İlan Edlien Toplam İş
Freelancer ® is a registered Trademark of Freelancer Technology Pty Limited (ACN 142 189 759)
Copyright © 2024 Freelancer Technology Pty Limited (ACN 142 189 759)
Ön izleme yükleniyor
Coğrafik konum için izin verildi.
Giriş oturumunuzun süresi doldu ve çıkış yaptınız. Lütfen tekrar giriş yapın.